diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -1970,239 +1792,234 @@ public class Minecraft
         }
 
         // Hide GUI
-        if (gameSettings.keyHideGui.isPressEvent(currentInputDevice)) {
-            gameSettings.immersiveMode.toggle();
+        if (this.gameSettings.keyHideGui.isPressEvent(currentInputDevice)) {
+            this.gameSettings.immersiveMode.toggle();
             return true;
         }
 
         // Switch perspective
-        if (gameSettings.keySwitchPerspective.isPressEvent(currentInputDevice)) {
-            gameSettings.thirdPersonView.value = (gameSettings.thirdPersonView.value + 1) % 3;
+        if (this.gameSettings.keySwitchPerspective.isPressEvent(currentInputDevice)) {
+            this.gameSettings.thirdPersonView.value = (this.gameSettings.thirdPersonView.value + 1) % 3;
             return true;
         }
 
         // Cinematic camera
-        if (gameSettings.keyCinematicCamera.isPressEvent(currentInputDevice)) {
-            gameSettings.smoothCamera.value = !gameSettings.smoothCamera.value;
-            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.smoothCamera);
+        if (this.gameSettings.keyCinematicCamera.isPressEvent(currentInputDevice)) {
+            this.gameSettings.smoothCamera.value = !this.gameSettings.smoothCamera.value;
+            this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.smoothCamera);
             return true;
         }
 
         // Display inventory
-        if (gameSettings.keyInventory.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyInventory.isPressEvent(currentInputDevice)) {
             displayScreen(getInventoryScreen());
             return true;
         }
 
         // Display Guidebook
-        if (gameSettings.keyGuidebook.isPressEvent(currentInputDevice)) {
-            thePlayer.displayGuidebookScreen();
+        if (this.gameSettings.keyGuidebook.isPressEvent(currentInputDevice)) {
+            this.thePlayer.displayGuidebookScreen();
             return true;
         }
 
         // Drop item
-        if (gameSettings.keyDrop.isPressEvent(currentInputDevice)) {
-            thePlayer.dropCurrentItem(control);
+        if (this.gameSettings.keyDrop.isPressEvent(currentInputDevice)) {
+            this.thePlayer.dropCurrentItem(control);
             return true;
         }
 
         // Enter photo mode
-        if (gameSettings.keyPhotoMode.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyPhotoMode.isPressEvent(currentInputDevice)) {
             displayScreen(new ScreenPhotoMode());
             return true;
         }
 
         // Open chat
-        if (gameSettings.keyChat.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyChat.isPressEvent(currentInputDevice)) {
             displayScreen(new ScreenChat());
             return true;
         }
 
         // Show player list
-        if (isMultiplayerWorld() && gameSettings.keyPlayerList.isPressEvent(currentInputDevice)) {
+        if (isMultiplayerWorld() && this.gameSettings.keyPlayerList.isPressEvent(currentInputDevice)) {
             if (control) {
-                gameSettings.playerListPosition.value++;
-                gameSettings.playerListPosition.value %= 3;
+                this.gameSettings.playerListPosition.value++;
+                this.gameSettings.playerListPosition.value %= 3;
             } else {
-                gameSettings.showPlayerList.value = !gameSettings.showPlayerList.value;
+                this.gameSettings.showPlayerList.value = !this.gameSettings.showPlayerList.value;
             }
             return true;
         }
 
         // Fly
-        if (thePlayer.getGamemode().canPlayerFly() && gameSettings.keyFly.isPressEvent(currentInputDevice)) {
-            if (!toggleFlyPressed) toggleFlyPressed = true;
-            flyPressedTime = System.currentTimeMillis();
+        if (this.thePlayer.getGamemode().canPlayerFly() && this.gameSettings.keyFly.isPressEvent(currentInputDevice)) {
+            if (!this.toggleFlyPressed) this.toggleFlyPressed = true;
+            this.flyPressedTime = System.currentTimeMillis();
             return true;
         }
 
         // Hotbar switch
-        if (gameSettings.keyHotBarSwitch.isPressEvent(currentInputDevice)) {
-            if (!thePlayer.inventory.currentItemLocked()) {
+        if (this.gameSettings.keyHotBarSwitch.isPressEvent(currentInputDevice)) {
+            if (!this.thePlayer.inventory.currentItemLocked()) {
                 if (shift) {
-                    thePlayer.setHotbarOffset((thePlayer.inventory.getHotbarOffset() + 27) % (36));
-                    hotbarSwapAnimationProgress = -HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
-                }
-                else {
-                    thePlayer.setHotbarOffset((thePlayer.inventory.getHotbarOffset() + 9) % (36));
-                    hotbarSwapAnimationProgress = HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
+                    this.thePlayer.setHotbarOffset((this.thePlayer.inventory.getHotbarOffset() + 27) % (36));
+                    this.hotbarSwapAnimationProgress = -HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
+                } else {
+                    this.thePlayer.setHotbarOffset((this.thePlayer.inventory.getHotbarOffset() + 9) % (36));
+                    this.hotbarSwapAnimationProgress = HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
                 }
-                thePlayer.inventory.changeCurrentItem(0);
+                this.thePlayer.inventory.changeCurrentItem(0);
             }
             return true;
         }
 
         // Center view
-        if (gameSettings.keyCenterView.isPressEvent(currentInputDevice)) {
-            thePlayer.xRot = 0.0f;
+        if (this.gameSettings.keyCenterView.isPressEvent(currentInputDevice)) {
+            this.thePlayer.xRot = 0.0f;
             return true;
         }
 
         // Lock rotation
-        if (gameSettings.keyLockRotation.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyLockRotation.isPressEvent(currentInputDevice)) {
             if (control) {
-                gameSettings.rotationOverlayMode.value++;
-                gameSettings.rotationOverlayMode.value %= 4;
+                this.gameSettings.rotationOverlayMode.value++;
+                this.gameSettings.rotationOverlayMode.value %= 4;
             } else {
-                if (thePlayer.rotationLock == null || thePlayer.rotationLock == Direction.NONE) {
-                    thePlayer.rotationLock = Direction.getDirection(thePlayer);
-                    thePlayer.rotationLockHorizontal = Direction.getHorizontalDirection(thePlayer);
-                    thePlayer.rotationLockVertical = Direction.getVerticalDirection(thePlayer);
+                if (this.thePlayer.rotationLock == null || this.thePlayer.rotationLock == Direction.NONE) {
+                    this.thePlayer.rotationLock = Direction.getDirection(this.thePlayer);
+                    this.thePlayer.rotationLockHorizontal = Direction.getHorizontalDirection(this.thePlayer);
+                    this.thePlayer.rotationLockVertical = Direction.getVerticalDirection(this.thePlayer);
                 } else {
-                    thePlayer.rotationLock = null;
-                    thePlayer.rotationLockHorizontal = null;
-                    thePlayer.rotationLockVertical = null;
+                    this.thePlayer.rotationLock = null;
+                    this.thePlayer.rotationLockHorizontal = null;
+                    this.thePlayer.rotationLockVertical = null;
                 }
-                thePlayer.syncPlacementMode();
+                this.thePlayer.syncPlacementMode();
             }
             return true;
         }
 
         // Toggle fog
-        if (gameSettings.keyToggleFog.isPressEvent(currentInputDevice)) {
-            int renderDistance = gameSettings.renderDistance.value;
+        if (this.gameSettings.keyToggleFog.isPressEvent(currentInputDevice)) {
+            int renderDistance = this.gameSettings.renderDistance.value;
             int nextRenderDistance;
             if (!shift) {
                 nextRenderDistance = renderDistance / 8 * 8 + 8;
             } else {
                 nextRenderDistance = (renderDistance - 1) / 8 * 8;
             }
-            if (nextRenderDistance > gameSettings.renderDistance.highest && !shift) {
-                nextRenderDistance = gameSettings.renderDistance.highest;
+            if (nextRenderDistance > this.gameSettings.renderDistance.highest && !shift) {
+                nextRenderDistance = this.gameSettings.renderDistance.highest;
             }
-            if (nextRenderDistance < gameSettings.renderDistance.lowest && shift) {
-                nextRenderDistance = gameSettings.renderDistance.lowest;
+            if (nextRenderDistance < this.gameSettings.renderDistance.lowest && shift) {
+                nextRenderDistance = this.gameSettings.renderDistance.lowest;
             }
-            if (renderDistance == gameSettings.renderDistance.highest && !shift) {
-                nextRenderDistance = gameSettings.renderDistance.lowest;
+            if (renderDistance == this.gameSettings.renderDistance.highest && !shift) {
+                nextRenderDistance = this.gameSettings.renderDistance.lowest;
             }
-            if (renderDistance == gameSettings.renderDistance.lowest && shift) {
-                nextRenderDistance = gameSettings.renderDistance.highest;
+            if (renderDistance == this.gameSettings.renderDistance.lowest && shift) {
+                nextRenderDistance = this.gameSettings.renderDistance.highest;
             }
 
-            gameSettings.renderDistance.set(nextRenderDistance);
-            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.renderDistance);
+            this.gameSettings.renderDistance.set(nextRenderDistance);
+            this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.renderDistance);
             return true;
         }
 
         // Toggle gamma
-        if (gameSettings.keyToggleGamma.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyToggleGamma.isPressEvent(currentInputDevice)) {
             int currentGammaStep = 2;
-            if (gameSettings.gamma.value < 0.125f) {
+            if (this.gameSettings.gamma.value < 0.125f) {
                 currentGammaStep = 0;
-            } else if (gameSettings.gamma.value < 0.375f) {
+            } else if (this.gameSettings.gamma.value < 0.375f) {
                 currentGammaStep = 1;
-            } else if (gameSettings.gamma.value > 0.875f) {
+            } else if (this.gameSettings.gamma.value > 0.875f) {
                 currentGammaStep = 4;
-            } else if (gameSettings.gamma.value > 0.625f) {
+            } else if (this.gameSettings.gamma.value > 0.625f) {
                 currentGammaStep = 3;
             }
             int newGammaStep = ((currentGammaStep + (shift ? -1 : 1)) + 5) % 5;
-            gameSettings.gamma.value = newGammaStep * 0.25f;
-            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.gamma);
+            this.gameSettings.gamma.value = newGammaStep * 0.25f;
+            this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.gamma);
             return true;
         }
 
         // Hotbar left
-        if (gameSettings.keyHotBarLeft.isPressEvent(currentInputDevice)) {
-            thePlayer.inventory.changeCurrentItem(1);
+        if (this.gameSettings.keyHotBarLeft.isPressEvent(currentInputDevice)) {
+            this.thePlayer.inventory.changeCurrentItem(1);
             return true;
         }
 
         // Hotbar right
-        if (gameSettings.keyHotBarRight.isPressEvent(currentInputDevice)) {
-            thePlayer.inventory.changeCurrentItem(-1);
+        if (this.gameSettings.keyHotBarRight.isPressEvent(currentInputDevice)) {
+            this.thePlayer.inventory.changeCurrentItem(-1);
             return true;
         }
 
         // Hotbar slots
-        KeyBinding[] hotbarSlots = new KeyBinding[] {
-            gameSettings.keyHotBarSlot1,
-            gameSettings.keyHotBarSlot2,
-            gameSettings.keyHotBarSlot3,
-            gameSettings.keyHotBarSlot4,
-            gameSettings.keyHotBarSlot5,
-            gameSettings.keyHotBarSlot6,
-            gameSettings.keyHotBarSlot7,
-            gameSettings.keyHotBarSlot8,
-            gameSettings.keyHotBarSlot9
+        KeyBinding[] hotbarSlots = new KeyBinding[]{
+            this.gameSettings.keyHotBarSlot1,
+            this.gameSettings.keyHotBarSlot2,
+            this.gameSettings.keyHotBarSlot3,
+            this.gameSettings.keyHotBarSlot4,
+            this.gameSettings.keyHotBarSlot5,
+            this.gameSettings.keyHotBarSlot6,
+            this.gameSettings.keyHotBarSlot7,
+            this.gameSettings.keyHotBarSlot8,
+            this.gameSettings.keyHotBarSlot9
         };
-        for(int i = 0; i < hotbarSlots.length; i++) {
+        for (int i = 0; i < hotbarSlots.length; i++) {
             if (hotbarSlots[i].isPressEvent(currentInputDevice)) {
-                thePlayer.inventory.setCurrentItemIndex(i + thePlayer.inventory.getHotbarOffset(), false);
+                this.thePlayer.inventory.setCurrentItemIndex(i + this.thePlayer.inventory.getHotbarOffset(), false);
                 return true;
             }
         }
-        
+
         // Zoom
-        if(gameSettings.keyZoom.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyZoom.isPressEvent(currentInputDevice)) {
             Mouse.getDWheel(); // This resets the mouse delta before its checked by zoom, fixes a bug please don't remove
-        	worldRenderer.zooming = true;
-        	return true;
+            this.worldRenderer.zooming = true;
+            return true;
         }
-        if(gameSettings.keyZoom.isReleaseEvent(currentInputDevice)) {
-        	worldRenderer.zooming = false;
-        	return true;
+        if (this.gameSettings.keyZoom.isReleaseEvent(currentInputDevice)) {
+            this.worldRenderer.zooming = false;
+            return true;
         }
 
         // Open Achievements
-        if (gameSettings.keyOpenAchievements.isPressEvent(currentInputDevice)) {
-            displayScreen(new ScreenAchievements(null, statsCounter));
+        if (this.gameSettings.keyOpenAchievements.isPressEvent(currentInputDevice)) {
+            displayScreen(new ScreenAchievements(null, this.statsCounter));
         }
 
         // Open Statistics
-        if (gameSettings.keyOpenStatistics.isPressEvent(currentInputDevice)) {
-            displayScreen(new ScreenStats(null, statsCounter));
+        if (this.gameSettings.keyOpenStatistics.isPressEvent(currentInputDevice)) {
+            displayScreen(new ScreenStats(null, this.statsCounter));
         }
-        
+
         return false;
     }
 
-    private ScreenInventory getInventoryScreen()
-    {
-        if (thePlayer.getGamemode() == Gamemode.creative)
-        {
-            return new ScreenInventoryCreative(thePlayer);
-        }
-        else
-        {
-            return new ScreenInventory(thePlayer);
+    private ScreenInventory getInventoryScreen() {
+        if (this.thePlayer.getGamemode() == Gamemode.creative) {
+            return new ScreenInventoryCreative(this.thePlayer);
+        } else {
+            return new ScreenInventory(this.thePlayer);
         }
     }
-    
+
     public void handleControllerInput() {
-        assert controllerInput != null;
-        try{
-            controllerInput.update();
-        }catch (Exception e) {
+        assert this.controllerInput != null;
+        try {
+            this.controllerInput.update();
+        } catch (Exception e) {
             LOGGER.warn("Error occurred while updating controller input! Disabling controller input!", e);
-            controllerInput = null;
+            this.controllerInput = null;
             setInputType(InputType.KEYBOARD);
             return;
         }
 
-        for(Joystick joystick : controllerInput.joysticks) {
-            if(joystick.getX() < -0.5f || joystick.getX() > 0.5f || joystick.getY() < -0.5f || joystick.getY() > 0.5f) {
+        for (Joystick joystick : this.controllerInput.joysticks) {
+            if (joystick.getX() < -0.5f || joystick.getX() > 0.5f || joystick.getY() < -0.5f || joystick.getY() > 0.5f) {
                 setInputType(InputType.CONTROLLER);
             }
         }
@@ -2210,84 +2027,82 @@ public class Minecraft
         //Store it here to prevent crash when switching controller
         ControllerInput controller = this.controllerInput;
 
-        if(currentScreen == null) {
-            if(controller.buttonRightTrigger.pressedThisFrame()) {
+        if (this.currentScreen == null) {
+            if (controller.buttonRightTrigger.pressedThisFrame()) {
                 clickMouse(0, true, false);
-                mouseTicksRan = ticksRan;
+                this.mouseTicksRan = this.ticksRan;
             }
-            if(controller.buttonLeftTrigger.pressedThisFrame()) {
+            if (controller.buttonLeftTrigger.pressedThisFrame()) {
                 clickMouse(1, true, false);
-                mouseTicksRan = ticksRan;
+                this.mouseTicksRan = this.ticksRan;
             }
-            if(controller.buttonB.pressedThisFrame()) {
-                thePlayer.dropCurrentItem(false);
+            if (controller.buttonB.pressedThisFrame()) {
+                this.thePlayer.dropCurrentItem(false);
             }
-            if(controller.buttonY.pressedThisFrame() || controller.buttonX.pressedThisFrame()) {
+            if (controller.buttonY.pressedThisFrame() || controller.buttonX.pressedThisFrame()) {
                 displayScreen(getInventoryScreen());
             }
-            if(controller.buttonBack.pressedThisFrame()) {
-                gameSettings.showPlayerList.value = !gameSettings.showPlayerList.value;
+            if (controller.buttonBack.pressedThisFrame()) {
+                this.gameSettings.showPlayerList.value = !this.gameSettings.showPlayerList.value;
             }
-            if(controller.buttonStart.pressedThisFrame()) {
+            if (controller.buttonStart.pressedThisFrame()) {
                 displayScreen(new ScreenPause());
             }
-            if(controller.digitalPad.up.pressedThisFrame()) {
-                if (!thePlayer.inventory.currentItemLocked()) {
-                    thePlayer.setHotbarOffset((thePlayer.inventory.getHotbarOffset() + 27) % (36));
-                    hotbarSwapAnimationProgress = -HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
-                    thePlayer.inventory.changeCurrentItem(0);
+            if (controller.digitalPad.up.pressedThisFrame()) {
+                if (!this.thePlayer.inventory.currentItemLocked()) {
+                    this.thePlayer.setHotbarOffset((this.thePlayer.inventory.getHotbarOffset() + 27) % (36));
+                    this.hotbarSwapAnimationProgress = -HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
+                    this.thePlayer.inventory.changeCurrentItem(0);
                 }
             }
-            if(controller.digitalPad.down.pressedThisFrame()) {
-                if (!thePlayer.inventory.currentItemLocked()) {
-                    thePlayer.setHotbarOffset((thePlayer.inventory.getHotbarOffset() + 9) % (36));
-                    hotbarSwapAnimationProgress = HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
-                    thePlayer.inventory.changeCurrentItem(0);
+            if (controller.digitalPad.down.pressedThisFrame()) {
+                if (!this.thePlayer.inventory.currentItemLocked()) {
+                    this.thePlayer.setHotbarOffset((this.thePlayer.inventory.getHotbarOffset() + 9) % (36));
+                    this.hotbarSwapAnimationProgress = HOTBAR_SWAP_ANIMATION_LENGTH_TICKS;
+                    this.thePlayer.inventory.changeCurrentItem(0);
                 }
             }
-            if(controller.digitalPad.left.pressedThisFrame() && thePlayer.getGamemode().canPlayerFly()) {
-                thePlayer.setNoclip(!thePlayer.noPhysics);
+            if (controller.digitalPad.left.pressedThisFrame() && this.thePlayer.getGamemode().canPlayerFly()) {
+                this.thePlayer.setNoclip(!this.thePlayer.noPhysics);
             }
-            if(controller.buttonLeftShoulder.pressedThisFrame()) {
-                thePlayer.inventory.changeCurrentItem(1);
+            if (controller.buttonLeftShoulder.pressedThisFrame()) {
+                this.thePlayer.inventory.changeCurrentItem(1);
             }
-            if(controller.buttonRightShoulder.pressedThisFrame()) {
-                thePlayer.inventory.changeCurrentItem(-1);
+            if (controller.buttonRightShoulder.pressedThisFrame()) {
+                this.thePlayer.inventory.changeCurrentItem(-1);
             }
-            if(controller.joyLeft.getButton().pressedThisFrame()) {
-                gameSettings.thirdPersonView.value++;
-                gameSettings.thirdPersonView.value%=3;
+            if (controller.joyLeft.getButton().pressedThisFrame()) {
+                this.gameSettings.thirdPersonView.value++;
+                this.gameSettings.thirdPersonView.value %= 3;
             }
-            if (controllerInput.digitalPad.right.pressedThisFrame()){
-                thePlayer.displayGuidebookScreen();
+            if (this.controllerInput.digitalPad.right.pressedThisFrame()) {
+                this.thePlayer.displayGuidebookScreen();
             }
-        }else {
-            try{
+        } else {
+            try {
                 this.currentScreen.controllerInput(controller);
-            }catch (Exception e) {
+            } catch (Exception e) {
                 LOGGER.error("Exception occurred while running gui specific controller actions!", e);
             }
         }
     }
 
-    private void forceReload()
-    {
+    private void forceReload() {
         long start = System.nanoTime();
         LOGGER.info("FORCING RELOAD!");
-        I18n.getInstance().reload(gameSettings.language.value);
-        sndManager = new SoundEngine();
-        sndManager.init(gameSettings);
-        texturePackList.refresh();
-        renderer.reload();
-        if (renderGlobal != null){
-            renderGlobal.allChanged();
+        I18n.getInstance().reload(this.gameSettings.language.value);
+        this.sndManager = new SoundEngine();
+        this.sndManager.init(this.gameSettings);
+        this.texturePackList.refresh();
+        this.renderer.reload();
+        if (this.renderGlobal != null) {
+            this.renderGlobal.allChanged();
         }
         LOGGER.debug("RELOAD TOOK '{}' SECONDS!", (System.nanoTime() - start) / 1_000_000_000d);
     }
 
-    public boolean isMultiplayerWorld()
-    {
-        return currentWorld != null && currentWorld.isClientSide;
+    public boolean isMultiplayerWorld() {
+        return this.currentWorld != null && this.currentWorld.isClientSide;
     }
 
     public void createAndStartWorld(final @NotNull WorldConfiguration worldConfiguration) {
@@ -2301,11 +2116,11 @@ public class Minecraft
         }
 
         final @NotNull WorldClient world = new WorldClient(
-                levelStorage,
-                worldConfiguration.getFinalWorldName(),
-                worldConfiguration.getFinalNumericSeed(),
-                Dimension.OVERWORLD,
-                null
+            levelStorage,
+            worldConfiguration.getFinalWorldName(),
+            worldConfiguration.getFinalNumericSeed(),
+            Dimension.OVERWORLD,
+            null
         );
         world.getLevelData().setCheatsEnabled(worldConfiguration.getCheatsEnabled());
         world.getLevelData().getGameRules().setValues(worldConfiguration.getGameRuleCollection());
